## gprename 2.5

=== Makefile ===
# Makefile for GPRename
# Author: Marvin Stark <marv@der-marv.de>
# Copyright (C) 2007 gprename-users@lists.sourceforge.net

# Globals:
PREFIX=/usr/local
DESTDIR=/usr/local

build:
	# Create temporary build directory and modify file locations.
	install -d $(CURDIR)/build
	install -d $(CURDIR)/build/locale
	install -d $(CURDIR)/build/locale/ca
	install -d $(CURDIR)/build/locale/de
	install -d $(CURDIR)/build/locale/es
	install -d $(CURDIR)/build/locale/fr
	install -d $(CURDIR)/build/locale/id
	install -d $(CURDIR)/build/locale/it
	install -d $(CURDIR)/build/locale/nl
	install -d $(CURDIR)/build/locale/pl
	install -d $(CURDIR)/build/locale/pt_BR
	perl -ne 's!\@INSTALLDIR\@!$(PREFIX)!g ; print' < bin/gprename > build/gprename
	perl -ne 's!\@INSTALLDIR\@!$(PREFIX)!g ; print' < bin/gprename.desktop > build/gprename.desktop

install: uninstall build
	# Compile all .po files to .mo
	msgfmt -o build/locale/ca.mo	locale/ca.po
	msgfmt -o build/locale/de.mo	locale/de.po
	msgfmt -o build/locale/es.mo	locale/es.po
	msgfmt -o build/locale/fr.mo	locale/fr.po
	msgfmt -o build/locale/id.mo 	locale/id.po
	msgfmt -o build/locale/it.mo 	locale/it.po
	msgfmt -o build/locale/nl.mo 	locale/nl.po
	msgfmt -o build/locale/pl.mo 	locale/pl.po
	msgfmt -o build/locale/pt_BR.mo	locale/pt_BR.po

	# Create directories
	install -d $(DESTDIR)
	install -d $(DESTDIR)/bin
	install -d $(DESTDIR)/share/pixmaps
	install -d $(DESTDIR)/share/pixmaps/gprename
	install -d $(DESTDIR)/share/applications
	install -d $(DESTDIR)/share/man
	install -d $(DESTDIR)/share/man/man1
	install -d $(DESTDIR)/share/locale/ca/LC_MESSAGES
	install -d $(DESTDIR)/share/locale/de/LC_MESSAGES
	install -d $(DESTDIR)/share/locale/es/LC_MESSAGES
	install -d $(DESTDIR)/share/locale/fr/LC_MESSAGES
	install -d $(DESTDIR)/share/locale/id/LC_MESSAGES
	install -d $(DESTDIR)/share/locale/it/LC_MESSAGES
	install -d $(DESTDIR)/share/locale/nl/LC_MESSAGES
	install -d $(DESTDIR)/share/locale/pl/LC_MESSAGES
	install -d $(DESTDIR)/share/locale/pt_BR/LC_MESSAGES

	# Copy all files in the filesystem
	install -m 755 build/gprename		$(DESTDIR)/bin/
	install -m 644 build/gprename.desktop	$(DESTDIR)/share/applications/
	install -m 644 icon/*			$(DESTDIR)/share/pixmaps/gprename
	install -m 644 man/gprename.1 		$(DESTDIR)/share/man/man1/
	install -m 644 build/locale/ca.mo	$(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo
	install -m 644 build/locale/de.mo	$(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo
	install -m 644 build/locale/es.mo	$(DESTDIR)/share/locale/es/LC_MESSAGES/gprename.mo
	install -m 644 build/locale/fr.mo	$(DESTDIR)/share/locale/fr/LC_MESSAGES/gprename.mo
	install -m 644 build/locale/id.mo	$(DESTDIR)/share/locale/id/LC_MESSAGES/gprename.mo
	install -m 644 build/locale/it.mo	$(DESTDIR)/share/locale/it/LC_MESSAGES/gprename.mo
	install -m 644 build/locale/nl.mo	$(DESTDIR)/share/locale/nl/LC_MESSAGES/gprename.mo
	install -m 644 build/locale/pl.mo	$(DESTDIR)/share/locale/pl/LC_MESSAGES/gprename.mo
	install -m 644 build/locale/pt_BR.mo	$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES/gprename.mo

	@echo "Installation completed."

uninstall: clean
	rm -f $(DESTDIR)/bin/gprename
	rm -f $(DESTDIR)/share/applications/gprename.desktop
	rm -f $(DESTDIR)/share/man/man1/gprename.1
	rm -f $(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo
	rm -f $(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo
	rm -f $(DESTDIR)/share/locale/es/LC_MESSAGES/gprename.mo
	rm -f $(DESTDIR)/share/locale/fr/LC_MESSAGES/gprename.mo
	rm -f $(DESTDIR)/share/locale/id/LC_MESSAGES/gprename.mo
	rm -f $(DESTDIR)/share/locale/it/LC_MESSAGES/gprename.mo
	rm -f $(DESTDIR)/share/locale/nl/LC_MESSAGES/gprename.mo
	rm -f $(DESTDIR)/share/locale/pl/LC_MESSAGES/gprename.mo
	rm -f $(DESTDIR)/share/locale/pt_BR/LC_MESSAGES/gprename.mo
	rm -fr $(DESTDIR)/share/pixmaps/gprename

clean:
	rm -rf build

help:
	@echo "Type \"make install\" to install GPRename."
	@echo "Type \"make uninstall\" to remove GPRename."
	@echo "Type \"make clean\" to clean the current directory."

## gprename 2.6

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	install -d $(CURDIR)/build
 	install -d $(CURDIR)/build/locale
 	install -d $(CURDIR)/build/locale/ca
+	install -d $(CURDIR)/build/locale/cn_ZH
 	install -d $(CURDIR)/build/locale/de
 	install -d $(CURDIR)/build/locale/es
 	install -d $(CURDIR)/build/locale/fr
@@ -25,6 +26,7 @@
 install: uninstall build
 	# Compile all .po files to .mo
 	msgfmt -o build/locale/ca.mo	locale/ca.po
+	msgfmt -o build/locale/cn_ZH.mo	locale/cn_ZH.po
 	msgfmt -o build/locale/de.mo	locale/de.po
 	msgfmt -o build/locale/es.mo	locale/es.po
 	msgfmt -o build/locale/fr.mo	locale/fr.po
@@ -43,6 +45,7 @@
 	install -d $(DESTDIR)/share/man
 	install -d $(DESTDIR)/share/man/man1
 	install -d $(DESTDIR)/share/locale/ca/LC_MESSAGES
+	install -d $(DESTDIR)/share/locale/cn_ZH/LC_MESSAGES
 	install -d $(DESTDIR)/share/locale/de/LC_MESSAGES
 	install -d $(DESTDIR)/share/locale/es/LC_MESSAGES
 	install -d $(DESTDIR)/share/locale/fr/LC_MESSAGES
@@ -55,9 +58,11 @@
 	# Copy all files in the filesystem
 	install -m 755 build/gprename		$(DESTDIR)/bin/
 	install -m 644 build/gprename.desktop	$(DESTDIR)/share/applications/
+	install -m 644 gprename.schemas		$(DESTDIR)/share/applications
 	install -m 644 icon/*			$(DESTDIR)/share/pixmaps/gprename
 	install -m 644 man/gprename.1 		$(DESTDIR)/share/man/man1/
 	install -m 644 build/locale/ca.mo	$(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo
+	install -m 644 build/locale/cn_ZH.mo	$(DESTDIR)/share/locale/cn_ZH/LC_MESSAGES/gprename.mo
 	install -m 644 build/locale/de.mo	$(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo
 	install -m 644 build/locale/es.mo	$(DESTDIR)/share/locale/es/LC_MESSAGES/gprename.mo
 	install -m 644 build/locale/fr.mo	$(DESTDIR)/share/locale/fr/LC_MESSAGES/gprename.mo
@@ -72,8 +77,10 @@
 uninstall: clean
 	rm -f $(DESTDIR)/bin/gprename
 	rm -f $(DESTDIR)/share/applications/gprename.desktop
+	rm -f $(DESTDIR)/share/applications/gprename.schemas
 	rm -f $(DESTDIR)/share/man/man1/gprename.1
 	rm -f $(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo
+	rm -f $(DESTDIR)/share/locale/cn_ZH/LC_MESSAGES/gprename.mo
 	rm -f $(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo
 	rm -f $(DESTDIR)/share/locale/es/LC_MESSAGES/gprename.mo
 	rm -f $(DESTDIR)/share/locale/fr/LC_MESSAGES/gprename.mo

## gprename 2.6.6

=== Makefile ===
# Makefile for GPRename
# Author: Marvin Stark <marv@der-marv.de>
# Copyright (C) 2007 gprename-users@lists.sourceforge.net

# Globals:
PREFIX=/usr/local
DESTDIR=/usr/local

build:
	# Create temporary build directory and modify file locations.
	install -d "$(CURDIR)/build"
	install -d "$(CURDIR)/build/locale"
	install -d "$(CURDIR)/build/locale/ca"
	install -d "$(CURDIR)/build/locale/de"
	install -d "$(CURDIR)/build/locale/es"
	install -d "$(CURDIR)/build/locale/et"
	install -d "$(CURDIR)/build/locale/fr"
	install -d "$(CURDIR)/build/locale/id"
	install -d "$(CURDIR)/build/locale/it"
	install -d "$(CURDIR)/build/locale/nl"
	install -d "$(CURDIR)/build/locale/pl"
	install -d "$(CURDIR)/build/locale/pt_BR"
	install -d "$(CURDIR)/build/locale/ru"
	install -d "$(CURDIR)/build/locale/sv"
	install -d "$(CURDIR)/build/locale/zh_CN"
	perl -ne 's!\@INSTALLDIR\@!$(PREFIX)!g ; print' < bin/gprename > build/gprename
	perl -ne 's!\@INSTALLDIR\@!$(PREFIX)!g ; print' < bin/gprename.desktop > build/gprename.desktop

install: uninstall build
	# Compile all .po files to .mo
	msgfmt -o build/locale/ca.mo	locale/ca.po
	msgfmt -o build/locale/de.mo	locale/de.po
	msgfmt -o build/locale/es.mo	locale/es.po
	msgfmt -o build/locale/et.mo	locale/et.po
	msgfmt -o build/locale/fr.mo	locale/fr.po
	msgfmt -o build/locale/id.mo 	locale/id.po
	msgfmt -o build/locale/it.mo 	locale/it.po
	msgfmt -o build/locale/nl.mo 	locale/nl.po
	msgfmt -o build/locale/pl.mo 	locale/pl.po
	msgfmt -o build/locale/pt_BR.mo	locale/pt_BR.po
	msgfmt -o build/locale/ru.mo	locale/ru.po
	msgfmt -o build/locale/sv.mo	locale/sv.po
	msgfmt -o build/locale/zh_CN.mo	locale/zh_CN.po

	# Create directories
	install -d "$(DESTDIR)"
	install -d "$(DESTDIR)/bin"
	install -d "$(DESTDIR)/share/pixmaps"
	install -d "$(DESTDIR)/share/pixmaps/gprename"
	install -d "$(DESTDIR)/share/applications"
	install -d "$(DESTDIR)/share/man"
	install -d "$(DESTDIR)/share/man/man1"
	install -d "$(DESTDIR)/share/locale/ca/LC_MESSAGES"
	install -d "$(DESTDIR)/share/locale/de/LC_MESSAGES"
	install -d "$(DESTDIR)/share/locale/es/LC_MESSAGES"
	install -d "$(DESTDIR)/share/locale/et/LC_MESSAGES"
	install -d "$(DESTDIR)/share/locale/fr/LC_MESSAGES"
	install -d "$(DESTDIR)/share/locale/id/LC_MESSAGES"
	install -d "$(DESTDIR)/share/locale/it/LC_MESSAGES"
	install -d "$(DESTDIR)/share/locale/nl/LC_MESSAGES"
	install -d "$(DESTDIR)/share/locale/pl/LC_MESSAGES"
	install -d "$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES"
	install -d "$(DESTDIR)/share/locale/ru/LC_MESSAGES"
	install -d "$(DESTDIR)/share/locale/sv/LC_MESSAGES"
	install -d "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES"

	# Copy all files in the filesystem
	install -m 755 build/gprename		"$(DESTDIR)/bin/"
	install -m 644 build/gprename.desktop	"$(DESTDIR)/share/applications/"
	install -m 644 gprename-nautilus-actions.xml	"$(DESTDIR)/share/applications/"
	install -m 644 icon/*			"$(DESTDIR)/share/pixmaps/gprename"
	install -m 644 man/gprename.1 		"$(DESTDIR)/share/man/man1/"
	install -m 644 build/locale/ca.mo	"$(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo"
	install -m 644 build/locale/de.mo	"$(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo"
	install -m 644 build/locale/es.mo	"$(DESTDIR)/share/locale/es/LC_MESSAGES/gprename.mo"
	install -m 644 build/locale/et.mo	"$(DESTDIR)/share/locale/et/LC_MESSAGES/gprename.mo"
	install -m 644 build/locale/fr.mo	"$(DESTDIR)/share/locale/fr/LC_MESSAGES/gprename.mo"
	install -m 644 build/locale/id.mo	"$(DESTDIR)/share/locale/id/LC_MESSAGES/gprename.mo"
	install -m 644 build/locale/it.mo	"$(DESTDIR)/share/locale/it/LC_MESSAGES/gprename.mo"
	install -m 644 build/locale/nl.mo	"$(DESTDIR)/share/locale/nl/LC_MESSAGES/gprename.mo"
	install -m 644 build/locale/pl.mo	"$(DESTDIR)/share/locale/pl/LC_MESSAGES/gprename.mo"
	install -m 644 build/locale/pt_BR.mo	"$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES/gprename.mo"
	install -m 644 build/locale/ru.mo	"$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
	install -m 644 build/locale/sv.mo	"$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
	install -m 644 build/locale/zh_CN.mo	"$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"

	@echo "Installation completed."

uninstall: clean
	rm -f  "$(DESTDIR)/bin/gprename"
	rm -f  "$(DESTDIR)/share/applications/gprename.desktop"
	rm -f  "$(DESTDIR)/share/applications/gprename-nautilus-actions.xml"
	rm -f  "$(DESTDIR)/share/man/man1/gprename.1"
	rm -f  "$(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo"
	rm -f  "$(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo"
	rm -f  "$(DESTDIR)/share/locale/es/LC_MESSAGES/gprename.mo"
	rm -f  "$(DESTDIR)/share/locale/et/LC_MESSAGES/gprename.mo"
	rm -f  "$(DESTDIR)/share/locale/fr/LC_MESSAGES/gprename.mo"
	rm -f  "$(DESTDIR)/share/locale/id/LC_MESSAGES/gprename.mo"
	rm -f  "$(DESTDIR)/share/locale/it/LC_MESSAGES/gprename.mo"
	rm -f  "$(DESTDIR)/share/locale/nl/LC_MESSAGES/gprename.mo"
	rm -f  "$(DESTDIR)/share/locale/pl/LC_MESSAGES/gprename.mo"
	rm -f  "$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES/gprename.mo"
	rm -f  "$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
	rm -f  "$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
	rm -f  "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"
	rm -fr "$(DESTDIR)/share/pixmaps/gprename"

clean:
	rm -rf build

help:
	@echo "Type \"make install\" to install GPRename."
	@echo "Type \"make uninstall\" to remove GPRename."
	@echo "Type \"make clean\" to clean the current directory."

## gprename 20140325

=== Makefile ===
--- 
+++ 
@@ -45,8 +45,8 @@
 	# Create directories
 	install -d "$(DESTDIR)"
 	install -d "$(DESTDIR)/bin"
-	install -d "$(DESTDIR)/share/pixmaps"
-	install -d "$(DESTDIR)/share/pixmaps/gprename"
+	install -d "/usr/share"
+	install -d "/usr/share/icons"
 	install -d "$(DESTDIR)/share/applications"
 	install -d "$(DESTDIR)/share/man"
 	install -d "$(DESTDIR)/share/man/man1"
@@ -65,30 +65,30 @@
 	install -d "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES"
 
 	# Copy all files in the filesystem
-	install -m 755 build/gprename		"$(DESTDIR)/bin/"
-	install -m 644 build/gprename.desktop	"$(DESTDIR)/share/applications/"
-	install -m 644 gprename-nautilus-actions.xml	"$(DESTDIR)/share/applications/"
-	install -m 644 icon/*			"$(DESTDIR)/share/pixmaps/gprename"
-	install -m 644 man/gprename.1 		"$(DESTDIR)/share/man/man1/"
-	install -m 644 build/locale/ca.mo	"$(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/de.mo	"$(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/es.mo	"$(DESTDIR)/share/locale/es/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/et.mo	"$(DESTDIR)/share/locale/et/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/fr.mo	"$(DESTDIR)/share/locale/fr/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/id.mo	"$(DESTDIR)/share/locale/id/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/it.mo	"$(DESTDIR)/share/locale/it/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/nl.mo	"$(DESTDIR)/share/locale/nl/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/pl.mo	"$(DESTDIR)/share/locale/pl/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/pt_BR.mo	"$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/ru.mo	"$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/sv.mo	"$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
-	install -m 644 build/locale/zh_CN.mo	"$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"
-
+	install -m 755 build/gprename                "$(DESTDIR)/bin/"
+	install -m 644 gprename-nautilus-actions.xml "$(DESTDIR)/share/applications/"
+	install -m 644 icon/gprename.png             "/usr/share/icons/"
+	install -m 644 man/gprename.1                "$(DESTDIR)/share/man/man1/"
+	install -m 644 build/locale/ca.mo            "$(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/de.mo            "$(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/es.mo            "$(DESTDIR)/share/locale/es/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/et.mo            "$(DESTDIR)/share/locale/et/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/fr.mo            "$(DESTDIR)/share/locale/fr/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/id.mo            "$(DESTDIR)/share/locale/id/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/it.mo            "$(DESTDIR)/share/locale/it/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/nl.mo            "$(DESTDIR)/share/locale/nl/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/pl.mo            "$(DESTDIR)/share/locale/pl/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/pt_BR.mo         "$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/ru.mo            "$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/sv.mo            "$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/zh_CN.mo         "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"
+	desktop-file-install bin/gprename.desktop
+	update-desktop-database
 	@echo "Installation completed."
 
 uninstall: clean
 	rm -f  "$(DESTDIR)/bin/gprename"
-	rm -f  "$(DESTDIR)/share/applications/gprename.desktop"
+	rm -f  "/usr/share/applications/gprename.desktop"
 	rm -f  "$(DESTDIR)/share/applications/gprename-nautilus-actions.xml"
 	rm -f  "$(DESTDIR)/share/man/man1/gprename.1"
 	rm -f  "$(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo"
@@ -104,7 +104,8 @@
 	rm -f  "$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"
-	rm -fr "$(DESTDIR)/share/pixmaps/gprename"
+	rm -fr "/usr/share/icons/gprename"
+	update-desktop-database
 
 clean:
 	rm -rf build

=== debian/changelog ===
gprename (20140325-1) experimental; urgency=low

  * New upstream release (Closes: #693118)
    - Fixed directory with dot Bug (Closes: #781182)
  * debian/control:
    - Updated Standard-Version
    - Added desktop-file-utils to Build-Dependencies
    - Updated Build-Dependencies for debhelper
    - Removed Build-Dependency on quilt
  * debian/compat:
    - Changed compat level to v9
  * debian/rules:
    - Removed patch and unpatch targets as they are not needed anymore
  * Switch to dpkg-source 3.0 (quilt) format
  * Removed README.source
  * Updated debian/copyright to copyright-format 1.0

 -- Marvin Stark <marv@der-marv.de>  Tue, 05 May 2015 21:39:57 +0000

gprename (2.6.6-1) unstable; urgency=low

  * New upstream release
  * Changed compat level to 8
  * Removed gprename.desktop.diff patch, fixed in upstream 
  * debian/control:
    - Updated Standards-Version to 3.9.2
    - Added ${misc:Depends} to Depends
  * debian/rules:
    - Removed dh-clean -k because it's deprecated 
    - Added build-arch and build-indep targets
  * debian/copyright:
    - Updated path to GPL-3 license

 -- Marvin Stark <marv@der-marv.de>  Mon, 19 Dec 2011 19:32:09 +0000

gprename (2.6-1) unstable; urgency=low

  * New Upstream Version
  * debian/control:
    - Updated Homepage field
    - Updated Standard-Version
  * gprename.desktop:
    - Renamed gprename.desktop.patch to gprename.desktop.diff
    - Removed the Encoding key it's now deprecated by the FreeDesktop standard
  * debian/changelog:
    - Removed waste whitespaces
  * debian/rules:
    - Moved code from binary-arch to binary-indep because architecture is all
  * Added debian/README.source 
  * Added debian/watch 
  * Made package ready for source format 3.0 (quilt) (Closes: #485332)

 -- Marvin Stark <marv@der-marv.de>  Fri, 11 Jul 2008 21:56:11 +0200

gprename (2.5-2) unstable; urgency=low

  * Fixed icon location in /usr/bin/gprename (Closes: #448824)

 -- Marvin Stark <marv@der-marv.de>  Sun, 04 Nov 2007 22:18:27 +0000

gprename (2.5-1) unstable; urgency=low

  * New upstream release.
  * Added Homepage field to control file.

 -- Marvin Stark <marv@der-marv.de>  Fri, 26 Oct 2007 23:57:16 +0000

gprename (2.4-1) unstable; urgency=low

  * New upstream release.
  * Removed Debian patches (included in upstream version).
  * Removed manpage (included in upstream version).
  * Removed menu icon (included in upstream version).
  * Added libglib-perl liblocale-gettext-perl and libintl-perl to Depends.

 -- Marvin Stark <marv@der-marv.de>  Wed, 01 Aug 2007 14:00:23 +0000

gprename (2.2-1) unstable; urgency=low

  * Initial release (Closes: #426582)

 -- Marvin Stark <marv@der-marv.de>  Tue, 05 Apr 2007 16:40:15 +0200

=== debian/control ===
Source: gprename
Section: utils
Priority: optional
Maintainer: Marvin Stark <marv@der-marv.de>
Build-Depends: debhelper (>= 9.0.0), desktop-file-utils
Standards-Version: 3.9.6

Package: gprename
Architecture: all
Homepage: http://gprename.sourceforge.net
Depends: ${perl:Depends}, ${misc:Depends}, libglib-perl, libgtk2-perl, liblocale-gettext-perl, libintl-perl
Description: Complete batch renamer for Linux
 GPRename is a complete batch renamer for files and directorys.
 GPRename easily can replace, remove, insert, delete and number
 consecutively files and directorys.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-arch: build
build-indep: build

build-stamp:
	dh_testdir
	touch build-stamp

clean:
	rm -f patches
	dh_testdir
	dh_testroot
	rm -rf $(CURDIR)/debian/.pc
	rm -f patch-stamp
	rm -f build-stamp
	rm -f patch-stamp
	dh_clean

	make clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	# Install GPRename.
	make PREFIX=/usr DESTDIR=$(CURDIR)/debian/gprename/usr install

binary-indep: build install
	# Fix gprename.desktop file.
	#cp -f build/gprename.desktop debian/gprename/usr/share/applications/gprename.desktop
	# Add debian menu icon
	install -d $(CURDIR)/debian/gprename/usr/share/pixmaps/gprename
	cp $(CURDIR)/icon/gprename_debian_menu_icon.xpm $(CURDIR)/debian/gprename/usr/share/pixmaps/gprename/gprename_debian_menu_icon.xpm
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installmenu
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://sf.net/gprename/gprename-([\d\.]*)\.tar\.bz2 debian uupdate

## gprename 20201214

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	install -d "$(CURDIR)/build/locale/nl"
 	install -d "$(CURDIR)/build/locale/pl"
 	install -d "$(CURDIR)/build/locale/pt_BR"
+	install -d "$(CURDIR)/build/locale/ro"
 	install -d "$(CURDIR)/build/locale/ru"
 	install -d "$(CURDIR)/build/locale/sv"
 	install -d "$(CURDIR)/build/locale/zh_CN"
@@ -38,6 +39,7 @@
 	msgfmt -o build/locale/nl.mo 	locale/nl.po
 	msgfmt -o build/locale/pl.mo 	locale/pl.po
 	msgfmt -o build/locale/pt_BR.mo	locale/pt_BR.po
+	msgfmt -o build/locale/ro.mo	locale/ro.po
 	msgfmt -o build/locale/ru.mo	locale/ru.po
 	msgfmt -o build/locale/sv.mo	locale/sv.po
 	msgfmt -o build/locale/zh_CN.mo	locale/zh_CN.po
@@ -60,6 +62,7 @@
 	install -d "$(DESTDIR)/share/locale/nl/LC_MESSAGES"
 	install -d "$(DESTDIR)/share/locale/pl/LC_MESSAGES"
 	install -d "$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES"
+	install -d "$(DESTDIR)/share/locale/ro/LC_MESSAGES"
 	install -d "$(DESTDIR)/share/locale/ru/LC_MESSAGES"
 	install -d "$(DESTDIR)/share/locale/sv/LC_MESSAGES"
 	install -d "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES"
@@ -79,6 +82,7 @@
 	install -m 644 build/locale/nl.mo            "$(DESTDIR)/share/locale/nl/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/pl.mo            "$(DESTDIR)/share/locale/pl/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/pt_BR.mo         "$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES/gprename.mo"
+	install -m 644 build/locale/ro.mo            "$(DESTDIR)/share/locale/ro/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/ru.mo            "$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/sv.mo            "$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/zh_CN.mo         "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"
@@ -101,6 +105,7 @@
 	rm -f  "$(DESTDIR)/share/locale/nl/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/pl/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/pt_BR/LC_MESSAGES/gprename.mo"
+	rm -f  "$(DESTDIR)/share/locale/ro/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"

=== debian/changelog ===
gprename (20201214-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #860557)
    - Ported to libgtk3-perl. (Closes: #912880)
  * debian/control: Added Homepage.

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 21:26:21 +0200

gprename (20140325-1) unstable; urgency=low

  * New upstream release (Closes: #693118)
    - Fixed directory with dot Bug (Closes: #781182)
  * debian/control:
    - Updated Standard-Version
    - Added desktop-file-utils to Build-Dependencies
    - Updated Build-Dependencies for debhelper
    - Removed Build-Dependency on quilt
  * debian/compat:
    - Changed compat level to v9
  * debian/rules:
    - Removed patch and unpatch targets as they are not needed anymore
  * Switch to dpkg-source 3.0 (quilt) format
  * Removed README.source
  * Updated debian/copyright to copyright-format 1.0

 -- Marvin Stark <marv@der-marv.de>  Tue, 05 May 2015 21:39:57 +0000

=== debian/control ===
Source: gprename
Section: utils
Priority: optional
Maintainer: Marvin Stark <marv@der-marv.de>
Build-Depends: debhelper (>= 9.0.0), desktop-file-utils
Standards-Version: 3.9.6
Homepage: https://sourceforge.net/projects/gprename/

Package: gprename
Architecture: all
Homepage: http://gprename.sourceforge.net
Depends: ${perl:Depends}, ${misc:Depends}, libglib-perl, libpango-perl, libgtk3-perl, liblocale-gettext-perl, libintl-perl
Description: Complete batch renamer for Linux
 GPRename is a complete batch renamer for files and directorys.
 GPRename easily can replace, remove, insert, delete and number
 consecutively files and directorys.

## gprename 20210415

=== debian/changelog ===
gprename (20210415-1) unstable; urgency=medium

  * New upstream release.
    - Thanks Paulo Roberto Alves de Oliveira (kretcheu) for your help!
  * New maintainer. (Closes: #982081)
    - Thanks Marvin Stark!
  * Ack Adrian Bunk in debian/copyright. Thanks, Adrian!
  * Spanish translation already added. (Closes: #986035)
  * Bump debian/watch to version 4.
  * Bump Standards-Version to 4.6.0.1 (see changes below).
  * Add files:
    - debian/upstream/metadata
    - debian/source/format
    - debian/postinst (update MIME database)
  * Delete unnecessary or not used files:
    - debian/compat
    - debian/menu (Debian Policy, 9.6)
    - debian/patches/gprename.desktop.diff
  * debian/control:
    - Bump debhelper compatibility level to 13.
    - Add Rules-Requires-Root (Debian Policy, 4.9.2).
    - Add Vcs-* fields.
    - Remove 'desktop-file-utils' from build dependencies.
    - Improve descriptions.
  * debian/rules: simplified (fix no-dh-sequencer in lintian).
  * debian/patches/*
    - Rename files and add suffix '.patch'.
  * debian/patches/001-fix-Makefile.patch
    - Remove 'clean' dependency from 'uninstall' target.
    - Remove 'uninstall' dependency from 'install' target.
    - Do not install nautilus action XML (obsolete).
    - Fix $(DESTDIR)$(PREFIX), replacing fixed paths.
    - Fix icons' paths (Debian Policy, 9.6). (Closes: #985168, #863997)
    - Remove commented lines created by previous Debian edits.
    - Remove perl substitution (fixed by patch 002).
  * debian/patches/002-gprename-path-corrections.patch
    - Use '/usr/share/locale' path (FHS 3.0).

 -- Thiago Pezzo <pezzo@protonmail.com>  Mon, 31 Jan 2022 12:15:12 -0300

=== debian/control ===
Source: gprename
Section: utils
Priority: optional
Maintainer: Thiago Pezzo <pezzo@protonmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/debian/gprename.git
Vcs-Browser: https://salsa.debian.org/debian/gprename
Homepage: https://sourceforge.net/projects/gprename/
Rules-Requires-Root: no

Package: gprename
Architecture: all
Homepage: http://gprename.sourceforge.net
Depends: libglib-perl,
         libgtk3-perl,
         libintl-perl,
         liblocale-gettext-perl,
         libpango-perl,
         ${misc:Depends},
         ${perl:Depends}
Description: complete batch renamer for Linux
 GPRename is a complete batch renamer for files and directories.
 It can easily replace, remove, insert, delete, and number
 consecutively files and directories using a graphical interface (GUI).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND = -D_FORTIFY_SOURCE=2

%:
	dh $@

=== debian/watch ===
version=4
https://sf.net/gprename/ gprename-@ANY_VERSION@@ARCHIVE_EXT@
